aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/rcutorture/bin/kvm.sh
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@linux.vnet.ibm.com>2013-09-30 14:49:43 -0700
committerPaul E. McKenney <paulmck@linux.vnet.ibm.com>2013-12-03 10:11:13 -0800
commit330a76f15651a715a54bc2022586a7be151c9963 (patch)
treeab2cf3f1cbecf7896b4be8b74ae5d263ec339e9e /tools/testing/selftests/rcutorture/bin/kvm.sh
parentrcutorture: Refactor TINY_RCU test cases (diff)
downloadlinux-dev-330a76f15651a715a54bc2022586a7be151c9963.tar.xz
linux-dev-330a76f15651a715a54bc2022586a7be151c9963.zip
rcutorture: Make test output less chatty
This commit drops no-longer-needed diagnostics from the output. Some of them are retained in logfiles, in case they are ever needed. Signed-off-by: Paul E. McKenney <paulmck@linux.vnet.ibm.com> Cc: Greg KH <gregkh@linuxfoundation.org>
Diffstat (limited to '')
-rw-r--r--tools/testing/selftests/rcutorture/bin/kvm.sh25
1 files changed, 15 insertions, 10 deletions
diff --git a/tools/testing/selftests/rcutorture/bin/kvm.sh b/tools/testing/selftests/rcutorture/bin/kvm.sh
index 92f726b01044..bf6d68e96e94 100644
--- a/tools/testing/selftests/rcutorture/bin/kvm.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm.sh
@@ -28,6 +28,7 @@
# Authors: Paul E. McKenney <paulmck@linux.vnet.ibm.com>
scriptname=$0
+args="$*"
dur=30
KVM=`pwd`/tools/testing/selftests/rcutorture; export KVM
@@ -73,7 +74,6 @@ checkarg () {
while test $# -gt 0
do
- echo ":$1:"
case "$1" in
--builddir)
checkarg --builddir "(absolute pathname)" "$#" "$2" '^/' error
@@ -133,11 +133,6 @@ do
shift
done
-echo "builddir=$builddir"
-echo "dur=$dur"
-echo "KVM=$KVM"
-echo "resdir=$resdir"
-
PATH=${KVM}/bin:$PATH; export PATH
CONFIGFRAG=${KVM}/configs; export CONFIGFRAG
KVPATH=${CONFIGFRAG}/$kversion; export KVPATH
@@ -150,12 +145,19 @@ fi
if test -z "$resdir"
then
resdir=$KVM/res
- mkdir $resdir || :
+ if ! test -e $resdir
+ then
+ mkdir $resdir || :
+ fi
else
- mkdir -p "$resdir" || :
+ if ! test -e $resdir
+ then
+ mkdir -p "$resdir" || :
+ fi
fi
mkdir $resdir/$ds
-echo Datestamp: $ds
+touch $resdir/$ds/log
+echo $scriptname $args >> $resdir/$ds/log
pwd > $resdir/$ds/testid.txt
if test -d .git
@@ -164,7 +166,10 @@ then
git rev-parse HEAD >> $resdir/$ds/testid.txt
fi
builddir=$KVM/b1
-mkdir $builddir || :
+if ! test -e $builddir
+then
+ mkdir $builddir || :
+fi
for CF in $configs
do